@import "@/assets/styles/abstracts/mixins";
@import "@/assets/styles/main";

.activity-type-item{
    background-color: white;
    border-radius: 2.4rem;
    height: 10.4rem;
    @include flex-container(center,center,column);
    box-shadow: $shadow;
    width: 28rem;
    margin-right: 2rem;  
 }

.activity-type-item:first-child{
    margin-right: 0;
}
.activity-type-item-filled{
    @include flex-container (space-between,flex-start,column);

    width : 100% ;
    padding: 2rem ;
}

.activity-type-item-filled__name-section{
    @include flex-container (space-between,center,row);
    width: 100%;
}
.activity-type-item-filled__count-section{
    @include flex-container (space-between,center,row);

    
}
.activity-type-item-filled__name-section{
    margin-bottom: 1rem;
}
.name-section__name{
    
    font-size: 1.6rem;
    font-weight: 700;

    
}
.name-section__icon{
    padding: 1rem .5rem;
    font-size: 2.2rem;
    font-weight: 700;
}
.count-section__count{
    margin-right: .5rem;
    font-size: 1.4rem;
    font-weight: 400;
    color: #5B5E69;
    
}
.count-section__icon{
    width: 2rem;

    
}



 @include respond-to (medium-desktop) {
    
     .activity-type-item{
        
       
        border-radius: 1.6rem;
        height: 7.5rem;
        width: 20rem;
        margin-right: 1.5rem;  
    
     }
     .activity-type-item-filled{
      
    
        padding: .8rem ;
    }
    
   
    .activity-type-item-filled__name-section{
        margin-bottom: .8rem;
    }
    .name-section__name{
        
        font-size: 1.2rem;
     
    
        
    }
    .name-section__icon{
        padding: .8rem .35rem;
        font-size: 1.8rem;
       
    }
    .count-section__count{
        margin-right: .35rem;
        font-size: 1.1rem;
       
        
    }
    .count-section__icon{
        width: 1.5rem;
    
        
    }
    
 }

 @include respond-to(mobile){
    .activity-type-item{
        min-width: 15.4rem;
    }
    .activity-type-item.activity-type-item--empty{
        height: 10rem;
        min-width: 100%;
        margin-right: 0;
        
    }
 }